Subject: Re: bug#34338: 26.1; delete-file return codes and failures

From: Stefan Kangas <[email-masked]>
Date: Wed, 9 Oct 2019 13:48:37 +0200

Boruch Baum <[email-masked]> writes:

> On 2019-02-07 05:36, Eli Zaretskii wrote:
>> > Date: Wed, 6 Feb 2019 16:02:11 -0500
>> > From: Boruch Baum <[email-masked]>
>> >
>> > So the messages are unique, but not clear.
>>
>> The description comes from the error code returned by a C library
>> function.  Doing more than that would mean additional checks, which
>> will be expensive and probably non-portable.  I don't see the benefit.
>> I mean, why isn't "Operation not permitted" enough, it tells you that
>> your user is not permitted to do that, which is clear enough IMO.
>
> Reasonable.

It seems to me from the discussion like we don't want to make the proposed
change, since it has an unclear benefit and is backwards
incompatible.

Is there is something I'm missing here?  Otherwise, I think we can close
this as wontfix.

Best regards,
Stefan Kangas